Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp.layer
Class CompetitiveLayer

    java.lang.Object
      org.neuroph.core.Layer
          org.neuroph.nnet.comp.layer.CompetitiveLayer

All Implemented Interfaces:
  Serializable

    public class CompetitiveLayer

extends Layer

Represents layer of competitive neurons, and provides methods for competition. TODO: competitive learning 3. training dw=n(i-w)

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.Layer
`neurons`

Constructor Summary
`CompetitiveLayer(int neuronNum, NeuronProperties neuronProperties)` Create an instance of CompetitiveLayer with the specified number of neurons with neuron properties

Method Summary
`void` | `calculate()` Performs calculaton for all neurons in this layer
`int` | `getMaxIterations()` Returns the maxIterations setting for this layer
`CompetitiveNeuron` | `getWinner()` Returns the winning neuron for this layer
`void` | `setMaxIterations(int maxIterations)` Sets max iterations for neurons to compete in this layer

Methods inherited from class org.neuroph.core.Layer
`addNeuron, addNeuron, getLabel, getNeuronAt, getNeurons, getNeuronsCount, getParentNetwork, indexOf, initializeWeights, randomizeWeights, randomizeWeights, randomizeWeights, removeAllNeurons, removeNeuron, removeNeuronAt, reset, setLabel, setNeuron, setParentNetwork`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompetitiveLayer

    public CompetitiveLayer(int neuronNum,
                            NeuronProperties neuronProperties)

  Create an instance of CompetitiveLayer with the specified number of neurons with neuron properties

  Parameters:
    `neuronNum` - neuron number in this layer
    `neuronProperties` - properties for the nurons in this layer

Method Detail

### calculate

    public void calculate()

  Performs calculaton for all neurons in this layer

  Overrides:
    `calculate` in class `Layer`

### getWinner

    public CompetitiveNeuron getWinner()

  Returns the winning neuron for this layer

  Returns:
    winning neuron for this layer

### getMaxIterations

    public int getMaxIterations()

  Returns the maxIterations setting for this layer

  Returns:
    maxIterations setting for this layer

### setMaxIterations

    public void setMaxIterations(int maxIterations)

  Sets max iterations for neurons to compete in this layer

  Parameters:
    `maxIterations` - max iterations for neurons to compete in this layer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.